Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012112ScribusUndo/Redopublic2014-03-02 13:482014-03-07 21:39
ReporterPeterBenedek 
Assigned Tojghali 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinux Mint OS Version16 (32bit)
Product Version1.5.0svn 
Target Version1.5.0Fixed in Version1.5.0svn 
Summary0012112: Insert mark + Undo == Crash
DescriptionEnvironment: Linux Mint 16 "Petra"
Version: Scribus 1.5.0 (https://launchpad.net/~scribus/+archive/ppa [^])
Language: HU

1) Insert - Marks (Anchor Mark or Variable Text or Reference to Item or Foot/Endnote)
2) Press Undo

Scribus crash

Excepting (the error does not occur): Reference to Mark

Similar problem: 0011683 report (http://bugs.scribus.net/view.php?id=11683 [^])

Link this video: https: https://www.dropbox.com/s/0qlknfyvtfeak90/out_2.ogv [^]
TagsNo tags attached.
Patch
Attached Files

- Relationships

-  Notes
(0031438)
christoph_s (administrator)
2014-03-02 20:38

[Thread 0x7fffce38e700 (LWP 3667) exited]

Program received signal SIGSEGV, Segmentation fault.
0x0000000000000061 in ?? ()
(gdb) bt
#0 0x0000000000000061 in ?? ()
0000001 0x0000000000de0c97 in ScribusDoc::eraseMark (this=0x30c5000, mrk=0x25a5df0, fromText=true, item=0x2d57f60,
    force=true) at /home/christoph/scribus15/Scribus/scribus/scribusdoc.cpp:17481
0000002 0x0000000000d77317 in ScribusDoc::restore (this=0x30c5000, state=0x305ca80, isUndo=true)
    at /home/christoph/scribus15/Scribus/scribus/scribusdoc.cpp:2066
0000003 0x0000000000e5bed0 in UndoState::undo (this=0x305ca80)
    at /home/christoph/scribus15/Scribus/scribus/undostate.cpp:73
0000004 0x0000000000e5b00b in UndoStack::undo (this=0x33224c0, steps=1, objectId=-1)
    at /home/christoph/scribus15/Scribus/scribus/undostack.cpp:80
0000005 0x0000000000e4b75d in UndoManager::undo (this=0x1fc1c70, steps=1)
    at /home/christoph/scribus15/Scribus/scribus/undomanager.cpp:553
0000006 0x0000000000813702 in UndoManager::qt_static_metacall (_o=0x1fc1c70, _c=QMetaObject::InvokeMetaMethod,
    _id=12, _a=0x7fffffffccd0) at /home/christoph/scribus15/Scribus/scribus/moc_undomanager.cpp:143
0000007 0x00007ffff76d5596 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
0000008 0x0000000000808b44 in ScrAction::triggeredData (this=0x1f7a2d0, _t1=1)
    at /home/christoph/scribus15/Scribus/scribus/moc_scraction.cpp:229
0000009 0x0000000000cd422c in ScrAction::triggeredToTriggeredData (this=0x1f7a2d0)
    at /home/christoph/scribus15/Scribus/scribus/scraction.cpp:178
0000010 0x0000000000808719 in ScrAction::qt_static_metacall (_o=0x1f7a2d0, _c=QMetaObject::InvokeMetaMethod,
    _id=10, _a=0x7fffffffcf00) at /home/christoph/scribus15/Scribus/scribus/moc_scraction.cpp:114
0000011 0x00007ffff76d5596 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/libQt5Core.so.5
0000012 0x00007ffff6dc9242 in QAction::triggered(bool) () from /usr/lib64/libQt5Widgets.so.5
0000013 0x00007ffff6dcb558 in QAction::activate(QAction::ActionEvent) () from /usr/lib64/libQt5Widgets.so.5
0000014 0x00007ffff6ec458d in ?? () from /usr/lib64/libQt5Widgets.so.5
0000015 0x00007ffff6ec46c4 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000016 0x00007ffff6f7ca5a in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000017 0x00007ffff6e09e59 in QWidget::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000018 0x00007ffff6f7cb39 in QToolButton::event(QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000019 0x00007ffff6dd01ec in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib64/libQt5Widgets.so.5
0000020 0x00007ffff6dd5b49 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000021 0x00007ffff76af9cd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
0000022 0x00007ffff6dd3e71 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQt5Widgets.so.5
0000023 0x00007ffff6e25aef in ?? () from /usr/lib64/libQt5Widgets.so.5
0000024 0x00007ffff6e27803 in ?? () from /usr/lib64/libQt5Widgets.so.5
0000025 0x00007ffff6dd01ec in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
   from /usr/lib64/libQt5Widgets.so.5
---Type <return> to continue, or q <return> to quit---
0000026 0x00007ffff6dd52d6 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQt5Widgets.so.5
0000027 0x00007ffff76af9cd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/libQt5Core.so.5
0000028 0x00007ffff67433c7 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*)
    () from /usr/lib64/libQt5Gui.so.5
0000029 0x00007ffff6744ec5 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /usr/lib64/libQt5Gui.so.5
0000030 0x00007ffff672f608 in QWindowSystemInterface::sendWindowSystemEventsImplementation(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQt5Gui.so.5
0000031 0x00007fffe3719130 in ?? () from /usr/lib64/qt5/plugins/platforms/libqxcb.so
0000032 0x00007fffec596316 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
0000033 0x00007fffec596668 in ?? () from /usr/lib64/libglib-2.0.so.0
0000034 0x00007fffec59670c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
0000035 0x00007ffff76f69cc in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib64/libQt5Core.so.5
0000036 0x00007ffff76ae71b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
   from /usr/lib64/libQt5Core.so.5
0000037 0x00007ffff76b4ca1 in QCoreApplication::exec() () from /usr/lib64/libQt5Core.so.5
0000038 0x00000000012bc16c in mainApp (argc=1, argv=0x7fffffffddb8)
    at /home/christoph/scribus15/Scribus/scribus/main_nix.cpp:86
0000039 0x00000000012bc0fc in main (argc=1, argv=0x7fffffffddb8)
    at /home/christoph/scribus15/Scribus/scribus/main_nix.cpp:54
(0031477)
christoph_s (administrator)
2014-03-07 21:39

Tested, fixed. Thanks.

- Issue History
Date Modified Username Field Change
2014-03-02 13:48 PeterBenedek New Issue
2014-03-02 20:38 christoph_s Note Added: 0031438
2014-03-02 20:38 christoph_s Assigned To => christoph_s
2014-03-02 20:38 christoph_s Status new => confirmed
2014-03-02 20:39 christoph_s Assigned To christoph_s =>
2014-03-02 20:56 jghali Target Version => 1.5.0
2014-03-06 07:13 jghali Status confirmed => resolved
2014-03-06 07:13 jghali Fixed in Version => 1.5.0svn
2014-03-06 07:13 jghali Resolution open => fixed
2014-03-06 07:13 jghali Assigned To => jghali
2014-03-07 21:39 christoph_s Note Added: 0031477
2014-03-07 21:39 christoph_s Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker